Bug 1477617 - Validation failed: Status is not included in the list
Validation failed: Status is not included in the list
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
Unspecified Unspecified
urgent Severity urgent
: GA
: 5.7.4
Assigned To: Greg McCullough
Shveta
: ZStream
Depends On: 1460158
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 09:30 EDT by Satoe Imaishi
Modified: 2017-12-18 15:27 EST (History)
12 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1460158
Environment:
5.7.2.1
Last Closed: 2017-12-18 15:27:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Unknown


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-08-02 13:56:21 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/ef3d5782322e9cb7d23f00d2fc666c5e52e780ba

commit ef3d5782322e9cb7d23f00d2fc666c5e52e780ba
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jul 31 10:39:10 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 2 13:50:23 2017 -0400

    Merge pull request #15685 from syncrou/no_longer_copy_denied_state
    
    Force status removal and default value
    (cherry picked from commit 7db49cd6f4fdda5cb7bc8dd384b731baf2dfec70)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1477617

 app/models/miq_request.rb       | 14 +++++++++++---
 app/models/miq_request_task.rb  |  1 +
 spec/models/miq_request_spec.rb | 15 +++++++++++++++
 3 files changed, 27 insertions(+), 3 deletions(-)
Comment 3 Shveta 2017-09-16 17:24:12 EDT
To validate created the service template 
From rails console:
=============
set the status to the invalid "Denied" status:
  MiqProvisionRequestTemplate.update_all(:status => "Denied")

Service request completed successfully.
Verified in 5.7.4.0.20170913182424_63a1e18
Comment 6 errata-xmlrpc 2017-12-18 15:27:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484

Note You need to log in before you can comment on or make changes to this bug.